%define		_minver		2150

Name:           skychart
Version:        3.6
Release:        %mkrel 2
Summary:        Planetarium software for the advanced amateur astronomer

Group:          Sciences/Astronomy
License:        GPLv2+
URL:            http://www.ap-i.net/skychart/start
Source0:        http://sourceforge.net/projects/skychart/files/1-%20cdc-skychart/version_3.6/%{name}-%{version}-%{_minver}-src.tar.bz2
Source1:        http://download.origo.ethz.ch/skychart/2443/data_jpleph.tgz
Source2:	getdoc.sh
# wiki documentation downloaded using the script provided by Source2
# thanks to the fedora package and its packager
Source3:	documentation.tar.gz
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-wgetdoc.patch
Patch2:		%{name}-3.4-bgrafilters.patch
Patch3:		%{name}-3.4-makefiles.patch
Patch4:		%{name}-3.4-cu_skychart.patch

ExcludeArch:    ppc64

BuildRequires:  lazarus >= 0.9.30
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  gtk2-devel
BuildRequires:	wget
Requires:       xdg-utils
Requires:       tzdata


Suggests:	%{name}-wikidoc = %{version}-%{release}

Obsoletes:	%{name} < 3.4-1.3
Conflicts:	%{name} < 3.4-1.3
Obsoletes:	%{name}-wikidoc < 3.4-1.1
Conflicts:	%{name}-wikidoc < 3.4-1.1

%description
This program enables you to draw sky charts, making use of the data in 16
catalogs of stars and nebulae. In addition the position of planets,
asteroids and comets are shown.

The purpose of this program is to prepare different sky maps for a
particular observation. A large number of parameters help you to choose
specifically or automatically which catalogs to use, the colour and the
dimension of stars and nebulae, the representation of planets, the display
of labels and coordinate grids, the superposition of pictures, the
condition of visibility and more. All these features make this celestial
atlas more complete than a conventional planetarium.

%files
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/cat
%{_datadir}/%{name}/doc
%exclude /usr/share/%{name}/doc/wiki_doc
%exclude /usr/share/doc/%{name}/changelog
%exclude /usr/share/doc/%{name}/copyright

#-----------------------------------------------------------------

%package wikidoc
Summary:	wiki documentation for %{name}
License:	Creative Commons, GNUFDL
Suggests:	%{name}
BuildArch:	noarch

%description wikidoc
The wiki documentation of skychart, translated into various
languages.

skychart can do the job without this package but you'll receive an error 
from the application when trying to getting help.

%files wikidoc
%{_datadir}/%{name}/doc/wiki_doc

%prep
%setup -q -n %{name}-%{version}-%{_minver}-src
#%patch0
#%patch1 -p1 -b .wgetdoc
#%patch2 -p1 -b .bgrafiltersoverload
#patch3 -p1 -b .mkfileoptwg
#patch4 -p1 -b .getpixeloverload

find skychart -type f -print0 |xargs -0 chmod 644

find . -name "*.exe" -type f -delete

# ephemeris data provided as a separated archive
cp -p %{S:1} BaseData/

# extract documentation provided with Source3
tar -zxf %{S:3}

# Fix exotic EOL encodings
dos2unix tools/doc/html_doc/en/feature_class_fichiers/common.css
dos2unix tools/doc/html_doc/en/feature_class_fichiers/custom.css
dos2unix tools/doc/releasenotes*.txt

%build
%_configure lazarus=%{_libdir}/lazarus prefix=%{_prefix}

# We build these separately so that we can apply optflags
make arch_flags="%{optflags}" -C skychart/library/getdss
make arch_flags="%{optflags}" -C skychart/library/plan404

# not concurrency-safe
make 

%install
rm -rf %{buildroot}

make install PREFIX=%{buildroot}%{_prefix}
make install install_data PREFIX=%{buildroot}%{_prefix}

# Fix multilib path
[ %{_lib} = lib ] || %__mv %{buildroot}%{_prefix}/{lib,%{_lib}}

# Fix debuginfo
chmod +x %{buildroot}%{_libdir}/*

# Documentation / Wiki
mv tools/doc/* %{buildroot}%{_datadir}/%{name}/doc/

# Menu entry
desktop-file-validate %{buildroot}%{_datadir}/applications/skychart.desktop



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6-2.mga3
+ Revision: 382142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 matteo <matteo> 3.6-1.mga3
+ Revision: 323527
- new version

* Sun Oct 02 2011 matteo <matteo> 3.4-1.mga2
+ Revision: 151091
- fixed wrong filename
- spec file cleaned
- splitted into two pkgs
- imported package skychart

